<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'japanese';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'ja_JP.eucJP';
		break;

	default:
		$locale = 'ja_JP';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'			=>	'EUC-JP',
'lang_multibyte'		=>	true,

// Notices
'Bad request'			=>	'׵ᥨ顼ȯޤ ׵ᤵ줿󥯤ְäƤ뤫ŤʤäƤޤ',
'No permission'			=>	'Υڡ˥븢¤ޤ',
'Bad referer'			=>	'Bad HTTP_REFERER. Υڡϸ¤̵껲ȤƤޤäƤ⤦٤꤬³ϡAdmin/Optionsǥ١URLꤵ졢١URLե˥Ƥ뤫ݤǧƤ',

// Miscellaneous (used in many scripts)
'Announcement'			=>	'Τ餻',
'Options'				=>	'ץ',
'Actions'				=>	'',
'Submit'				=>	'',	// "name" of submit buttons
'Ban message'			=>	'ʤϥեѤػߤƤޤ',
'Ban message 2'			=>	'Ѷػ߽λ:',
'Ban message 3'			=>	'Ԥޤϥǥ졼ϼΥåĤƤޤ:',
'Ban message 4'			=>	'ܺ٤ϥեԤˤ礻ԥ᡼륢ɥ쥹:',
'Never'					=>	'Never',
'Today'					=>	'',
'Yesterday'				=>	'',
'Info'					=>	'ե᡼',	// a common table header
'Go back'				=>	'',
'Maintenance'			=>	'ƥʥ',
'Redirecting'			=>	'쥯',
'Click redirect'		=>	'֥饦ưŪ˥쥯ȤʤϤ򥯥åƤ',
'Login required'		=>	'桼ΤߤΥեαĤƤޤ',
'on'					=>	'ON',		// as in "BBCode is on"
'off'					=>	'OFF',
'Invalid e-mail'		=>	'Ϥ줿᡼륢ɥ쥹ޤ',
'required field'		=>	'ϤƤ',	// for javascript form validation
'Last post'				=>	'ǿ',
'by'					=>	'by',	// as in last post by someuser
'New posts'				=>	'New&nbsp;posts',	// the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'		=>	'ΥȥԥåκǽοƤذư롣',	// the popup text for new posts links
'Username'				=>	'桼̾',
'Password'				=>	'ѥ',
'E-mail'				=>	'E-mail',
'Send e-mail'			=>	'᡼',
'Registered'			=>	'Ͽ',
'Subject'				=>	'̾',
'Message'				=>	'å',
'Topic'					=>	'ȥԥå',
'Forum'					=>	'ե',
'Posts'					=>	'',
'Replies'				=>	'ֻ',
'Author'				=>	'Ƽ',
'Pages'					=>	'ڡ',
'BBCode'				=>	'BBCode',	// You probably shouldn't change this
'img tag'				=>	'[img] tag',
'Smilies'				=>	'ޥ꡼',
'and'					=>	', ',
'Image link'			=>	'',	// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'					=>	'ˤ',	// For [quote]'s
'Code'					=>	'',		// For [code]'s
'Mailer'				=>	'Mailer',	// As in "MyForums Mailer" in the signature of outgoing e-mails

// Title
'Title'					=>	'',
'Member'				=>	'С',	// Default title
'Moderator'				=>	'ǥ졼',
'Administrator'			=>	'',
'Banned'				=>	'',
'Guest'					=>	'',

// Stuff for include/parser.php
'BBCode error'			=>	'åBBCodeҤäƤޤ',
'BBCode error 1'		=>	'[/quote]γϥޤ',
'BBCode error 2'		=>	'[code]νλޤ',
'BBCode error 3'		=>	'[/code]γϥޤ',
'BBCode error 4'		=>	'[quote]νλޤ',
'BBCode error 5'		=>	'[/quote]γϥޤ',

// Stuff for the navigator (top of every page)
'Home'					=>	'Home',
'User list'				=>	'桼ꥹ',
'Rules'					=>  '롼',
'Search'				=>  '',
'Register'				=>  '桼Ͽ',
'Login'					=>  '',
'Not logged in'			=>  '󤷤Ƥޤ',
'Profile'				=>	'ץե',
'Logout'				=>	'',
'Logged in as'			=>	'桼̾:',
'Admin'					=>	'',
'Last visit'			=>	'ǽ',

// Stuff for the page footer
'Show new posts'		=>	'ˬʹߤƤɽ',
'Show unanswered posts'	=>	'̤Ƥɽ',
'Show your posts'		=>	'ʤƤɽ',
'Mark all as read'		=>	'ƤƤɤˤ',
'Jump to'				=>	'ư',
'Go'					=>	' GO ',		// submit button in forum jump
'Move topic'			=>  'ȥԥåư',
'Open topic'			=>  'ȥԥå򥪡ץ󤹤',
'Close topic'			=>  'ȥԥå򥯥',
'Unstick topic'			=>  'ȥԥå򥹥ƥå',
'Stick topic'			=>  'ȥԥå򥹥ƥåꤹ',
'Moderate forum'		=>	'ե',
'Delete posts'			=>	'ʣƤ'

);
